Bug 139491 - sa-learn has massive memory consumption
Summary: sa-learn has massive memory consumption
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: spamassassin   
(Show other bugs)
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Warren Togami
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-16 11:05 UTC by Joe Orton
Modified: 2007-11-30 22:10 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-29 05:13:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joe Orton 2004-11-16 11:05:23 UTC
Description of problem:
run sa-learn on a ~300mb spam folder.

Version-Release number of selected component (if applicable):
spamassassin-3.0.0-3

How reproducible:
always

Steps to Reproduce:
$ ls -lh spam-recent
-rw-------  1 joe joe 339M Nov 16 08:55 spam-recent
$ sa-learn --showdots --spam spam-recent
  
Actual results:
all RAM consumed

Expected results:


Additional info:

Comment 1 Joe Orton 2004-11-16 11:11:04 UTC
Even with a <100mb spam folder it ate >1Gb of RAM before I killed it.

Comment 3 Joe Orton 2004-11-16 21:56:19 UTC
With -3.0.1-0.EL4:

$ ls -lh spam-recent
-rw-------  1 joe joe 91M Nov 16 08:55 spam-recent
$ sa-learn --showdots --spam spam-recent
...

got to:

 8344 joe       25   0  943m 931m 6300 R 96.9 61.3   0:29.71 sa-learn

before I killed it again.

Comment 4 Milan Kerslager 2004-12-17 07:13:39 UTC
Try to cut it to smaller pieces.

Comment 5 Warren Togami 2005-04-03 11:26:56 UTC
http://people.redhat.com/wtogami/temp/spamassassin/
Please test the fc3 RPM from here, which is 3.0.2 plus upstream patches.  Some
were related to memory consumption, but it may not be related to this issue.

Comment 6 Warren Togami 2005-04-29 05:13:55 UTC
3.0.3 has been released as a FC3 update which contains one fix for massive
memory consumption, may be related to your problem.  CLOSING.  Open a new bug if
you see this problem in 3.0.3.



Note You need to log in before you can comment on or make changes to this bug.